/*
 * Copyright 2014 Canonical Ltd.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of version 3 of the GNU Lesser General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef DOWNLOADER_LIB_DBUS_PROXY_FACTORY_H
#define DOWNLOADER_LIB_DBUS_PROXY_FACTORY_H

#include <QObject>
#include <lomiri/transfers/system/dbus_connection.h>
#include "dbus_proxy.h"

namespace Lomiri {

namespace Transfers {

namespace System {

class DBusProxyFactory : public QObject {
    Q_OBJECT

 public:
    virtual DBusProxy* createDBusProxy(
            DBusConnection* connection, QObject* parent=0);

    static DBusProxyFactory* instance();
    // only used for testing purposes
    static void setInstance(DBusProxyFactory* instance);
    static void deleteInstance();

 protected:
    explicit DBusProxyFactory(QObject* parent=0);

 private:
    // used for the singleton
    static DBusProxyFactory* _instance;
    static QMutex _mutex;
};

}  // System

}  // Transfers

}  // Lomiri

#endif  // DOWNLOADER_LIB_REQUEST_FACTORY_H

